SeaMonkey 1.1.12 Crashes When Attempting to Install Mnenhy - Mozilla

This is a discussion on SeaMonkey 1.1.12 Crashes When Attempting to Install Mnenhy - Mozilla ; This was previously discussed in the thread "SeaMonkey 1.1.12 Released". The cause is apparently a regression bug in SeaMonkey, bug #457788. See . According to the Mnenhy developer, Karsten Düsterloh, a work-around version of Mnenhy might be released. -- David ...

+ Reply to Thread
Results 1 to 4 of 4

Thread: SeaMonkey 1.1.12 Crashes When Attempting to Install Mnenhy

  1. SeaMonkey 1.1.12 Crashes When Attempting to Install Mnenhy

    This was previously discussed in the thread "SeaMonkey 1.1.12 Released".
    The cause is apparently a regression bug in SeaMonkey, bug #457788.
    See .

    According to the Mnenhy developer, Karsten Düsterloh, a work-around
    version of Mnenhy might be released.

    --
    David E. Ross


    Go to Mozdev at for quick access to
    extensions for Firefox, Thunderbird, SeaMonkey, and other
    Mozilla-related applications. You can access Mozdev much
    more quickly than you can Mozilla Add-Ons.

  2. Re: SeaMonkey 1.1.12 Crashes When Attempting to Install Mnenhy

    Wed, 01 Oct 2008 12:43:14 -0700, /David E. Ross/:

    > This was previously discussed in the thread "SeaMonkey 1.1.12 Released".
    > The cause is apparently a regression bug in SeaMonkey, bug #457788.
    > See .
    >
    > According to the Mnenhy developer, Karsten Düsterloh, a work-around
    > version of Mnenhy might be released.


    For the impatient, one could (at least I've done it that way) unzip
    the Mnenhy XPI package, then edit the "install.js" file and change
    line 156:

    var oArguments = eval(decodeURIComponent(Install.arguments));

    to:

    var oArguments; //= eval(decodeURIComponent(Install.arguments));

    Zip back and use the resulting package to install.

    --
    Stanimir

  3. Re: SeaMonkey 1.1.12 Crashes When Attempting to Install Mnenhy

    Stanimir Stamenkov wrote:
    > Wed, 01 Oct 2008 12:43:14 -0700, /David E. Ross/:
    >
    >> This was previously discussed in the thread "SeaMonkey 1.1.12 Released".
    >> The cause is apparently a regression bug in SeaMonkey, bug #457788.
    >> See .
    >>
    >> According to the Mnenhy developer, Karsten Düsterloh, a work-around
    >> version of Mnenhy might be released.

    >
    > For the impatient, one could (at least I've done it that way) unzip the
    > Mnenhy XPI package, then edit the "install.js" file and change line 156:
    >
    > var oArguments = eval(decodeURIComponent(Install.arguments));
    >
    > to:
    >
    > var oArguments; //= eval(decodeURIComponent(Install.arguments));
    >
    > Zip back and use the resulting package to install.
    >


    That didn't work for ME. Thanks anyway.

    --
    Cheers,
    Ru

  4. Re: SeaMonkey 1.1.12 Crashes When Attempting to Install Mnenhy

    (Repost: For some reason I haven't got my previous reply "visible"
    from couple of machines and news readers, although I see it in
    Google Groups.)

    Thu, 02 Oct 2008 23:57:57 -0700, /Ru Drisi/:
    > Stanimir Stamenkov wrote:
    >
    >> For the impatient, one could (at least I've done it that way) unzip
    >> the Mnenhy XPI package, then edit the "install.js" file and change
    >> line 156:
    >>
    >> var oArguments = eval(decodeURIComponent(Install.arguments));
    >>
    >> to:
    >>
    >> var oArguments; //= eval(decodeURIComponent(Install.arguments));
    >>
    >> Zip back and use the resulting package to install.

    >
    > That didn't work for ME. Thanks anyway.


    Do you get the same crash as with the original, or something else?
    Does the following package work for you?

    http://www.geocities.com/stanio/temp...-0.7.5-mod.zip

    (rename to *.xpi after saved locally)

    One may unzip the original and this one side by side, then compare
    to see this line is the only change.

    --
    Stanimir

+ Reply to Thread